Google Web Toolkit
Search Google Code:

# Interface HistoryListener

public interface HistoryListener
extends EventListener
Implement this interface to receive notification of changes to the browser history state. It is used with History.

## Methods

onHistoryChanged(String) | Fired when the user clicks the browser's 'back' or 'forward' buttons.

## Method Detail

### onHistoryChanged

public void onHistoryChanged(String historyToken)
Fired when the user clicks the browser's 'back' or 'forward' buttons.

#### Parameters

historyToken
  the token representing the current history state